//
//  MyRecorderController.m
//  CocoaCapture001
//
//  Created by Bryan Chung on 06/08/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MyRecorderController.h"

@implementation MyRecorderController

- (id)init
{
    self = [super init];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)dealloc
{
    [mCaptureSession release];
    [mCaptureDeviceInput release];
    [super dealloc];
}

- (void)awakeFromNib
{
    mCaptureSession = [[QTCaptureSession alloc] init];
    BOOL success = NO;
    NSError *error;
    
    QTCaptureDevice *device = [QTCaptureDevice defaultInputDeviceWithMediaType:QTMediaTypeVideo];
    if (device) {
        success = [device open:&error];
        if (!success) {
            NSLog(@"Device open error.");
        }
        mCaptureDeviceInput = [[QTCaptureDeviceInput alloc] initWithDevice:device];
        success = [mCaptureSession addInput:mCaptureDeviceInput error:&error];
        if (!success) {
            NSLog(@"Add input device error.");
        }
        [mCaptureView setCaptureSession:mCaptureSession];
        [mCaptureSession startRunning];
    }
}

- (void)windowWillClose:(NSNotification *)notification

{
    [mCaptureSession stopRunning];
    [[mCaptureDeviceInput device] close];
}

@end
